var thrift = require('thrift'),
    ttransport = require('./node_modules/thrift/lib/thrift/transport'),
    ThriftHbase = require('./thrift-gen/Hbase');

var HbaseClient = function(server, port, options) {
  this.server = server;
  this.port = port;
  this.options = options;
  this.connection = thrift.createConnection(this.server, this.port, this.options);
  this.client = thrift.createClient(ThriftHbase, this.connection);
};
HbaseClient.prototype = {
  get: function(table, row, cb) {
    this.client.getRow(table, row, function(err, data) {
      if(err) cb(err, null);
      cb(null, data[0].columns);
    });
  },
  end: function() {
    this.connection.end();
  },
};


exports.for = function(server, port, options) {
  var port = port || 9090;
  var options = options || {transport: ttransport.TBufferedTransport};
  return new HbaseClient(server, port, options);
};